%define upstream_name    Catalyst-Plugin-AutoRestart
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Catalyst plugin to restart server 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst) >= 5.900.50
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(MRO::Compat) >= 0.70.0
BuildRequires: perl(Proc::ProcessTable) >= 0.410.0
BuildRequires: perl(Text::SimpleTable) >= 0.30.0
BuildArch:  noarch

%description
Catalyst plugin to force the application to restart server processes when
they reach a configurable memory threshold. Memory checks are performed
every 'N' requests. This is intended as a band-aid to deal with problems
like memory leaks; it's here to buy you time to find and solve the
underlying issues.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.960.0-11.mga8
+ Revision: 1503524
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.960.0-10.mga7
+ Revision: 1282202
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.960.0-9.mga7
+ Revision: 1167788
- BR perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.960.0-8.mga6
+ Revision: 1023272
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.960.0-7.mga6
+ Revision: 949923
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.960.0-6.mga5
+ Revision: 790621
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-5.mga5
+ Revision: 744730
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.960.0-3.mga4
+ Revision: 509718
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 363968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.960.0-1.mga2
+ Revision: 179092
- update to 0.96

* Thu Jun 30 2011 jquelin <jquelin> 0.940.0-1.mga2
+ Revision: 116710
- imported package perl-Catalyst-Plugin-AutoRestart


* Thu Jun 30 2011 cpan2dist 0.94-1mga
- initial mageia release, generated with cpan2dist
